<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
  /**
   * Run the migrations.
   */
  public function up(): void
  {
    Schema::create('notices', function (Blueprint $table) {
      $table->id();
      $table->date('date')->nullable();
      $table->string('from');
      $table->string('to');
      $table->string('status')->default('unread');
      $table->string('subject')->nullable();
      $table->text('content')->nullable();
      $table->timestamps();
    });
  }

  /**
   * Reverse the migrations.
   */
  public function down(): void
  {
    Schema::dropIfExists('notices');
  }
};
